summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author David Spencer2017-10-16 18:49:11 +0200
committer Willy Sudiarto Raharjo2017-10-16 18:49:14 +0200
commit4522ca84fa21e30042e23ce8cab661aed8ef4447 (patch)
tree03928d48339f78b409b83ca1e598a0391ba8a0c9 /network
parent357518a8d7ae18be94aa6e5cb2e1537a5e19da37 (diff)
downloadslackbuilds-4522ca84fa21e30042e23ce8cab661aed8ef4447.tar.gz
network/nextcloud-server: Added (nextcloud sync & share server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/nextcloud-server/README43
-rw-r--r--network/nextcloud-server/nextcloud-server.SlackBuild73
-rw-r--r--network/nextcloud-server/nextcloud-server.info10
-rw-r--r--network/nextcloud-server/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/network/nextcloud-server/README b/network/nextcloud-server/README
new file mode 100644
index 0000000000..c5692ee7ad
--- /dev/null
+++ b/network/nextcloud-server/README
@@ -0,0 +1,43 @@
+Nextcloud is a safe home for all your data - community-driven, free & open
+source. Nextcloud gives you access to all your files wherever you are.
+
+
+Optional dependency: postgresql can be used as the server's database.
+
+
+SlackBuild defaults
+
+This SlackBuild uses the following defaults:
+* DOCROOT=/srv/httpd/htdocs
+* PHPUSER=root
+* PHPGROUP=apache
+
+You can change the defaults at build time:
+# DOCROOT=/your/preferred/directory \
+ PHPUSER=youruser \
+ PHPGROUP=yourgroup \
+ ./nextcloud-server.SlackBuild
+
+
+Configuration
+
+(1) Add the following in /etc/httpd/httpd.conf
+
+ Alias /nextcloud "/srv/httpd/htdocs/nextcloud/"
+ <Directory "/srv/httpd/htdocs/nextcloud">
+ Options +FollowSymlinks
+ AllowOverride All
+ <IfModule mod_dav.c>
+ Dav off
+ </IfModule>
+ SetEnv HOME "/srv/httpd/htdocs/nextcloud"
+ SetEnv HTTP_HOME "/srv/httpd/htdocs/nextcloud"
+ </Directory>
+
+(2) In /etc/httpd/httpd.conf, enable mod_rewrite and PHP by uncommenting
+"LoadModule rewrite_module ..." and "Include /etc/httpd/mod_php.conf",
+then restart httpd.
+
+(3) You need to complete setup by visiting this page:
+
+ http://localhost/nextcloud/
diff --git a/network/nextcloud-server/nextcloud-server.SlackBuild b/network/nextcloud-server/nextcloud-server.SlackBuild
new file mode 100644
index 0000000000..9b7ad0cf3d
--- /dev/null
+++ b/network/nextcloud-server/nextcloud-server.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for nextcloud-server
+
+# Copyright 2017 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nextcloud-server
+SRCNAM=nextcloud
+VERSION=${VERSION:-12.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+DOCROOT=${DOCROOT:-/srv/httpd/htdocs}
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/$DOCROOT
+cd $PKG/$DOCROOT
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir data
+
+chown -R $PHPUSER:$PHPGROUP apps/ data/ config/
+chmod -R g+w apps/ data/ config/
+chmod -R o-rwx data/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS 3rdparty/'LICENSE INFO' 3rdparty/README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nextcloud-server/nextcloud-server.info b/network/nextcloud-server/nextcloud-server.info
new file mode 100644
index 0000000000..cffe46a3d2
--- /dev/null
+++ b/network/nextcloud-server/nextcloud-server.info
@@ -0,0 +1,10 @@
+PRGNAM="nextcloud-server"
+VERSION="12.0.3"
+HOMEPAGE="https://nextcloud.com/"
+DOWNLOAD="https://download.nextcloud.com/server/releases/nextcloud-12.0.3.tar.bz2"
+MD5SUM="2b8b816a64dfdc4a6c3dbddcbf836b98"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/network/nextcloud-server/slack-desc b/network/nextcloud-server/slack-desc
new file mode 100644
index 0000000000..d5af2fbdd8
--- /dev/null
+++ b/network/nextcloud-server/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nextcloud-server: nextcloud-server (nextcloud sync & share server)
+nextcloud-server:
+nextcloud-server: A safe home for all your data - community-driven, free & open source.
+nextcloud-server: Nextcloud gives you access to all your files wherever you are.
+nextcloud-server:
+nextcloud-server:
+nextcloud-server:
+nextcloud-server: Homepage: https://nextcloud.com/
+nextcloud-server:
+nextcloud-server:
+nextcloud-server: